package com.yunzhupaas.mdm.service;

import com.yunzhupaas.mdm.entity.*;
import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.mdm.model.crmlead.*;
import java.util.*;

/**
 * crm_lead
 * 版本： V5.2.7
 * 版权： Copyright @ 2025  深圳市乐程软件有限公司版权所有
 * 作者： 深圳市乐程软件有限公司
 * 日期： 2026-05-18
 */
public interface CrmLeadService extends SuperService<CrmLeadEntity> {
    List<CrmLeadEntity> getList(CrmLeadPagination crmLeadPagination);

    List<CrmLeadEntity> getTypeList(CrmLeadPagination crmLeadPagination,String dataType);

    CrmLeadEntity getInfo(String leadid);

    void delete(CrmLeadEntity entity);

    void create(CrmLeadEntity entity);

    boolean update(String leadid, CrmLeadEntity entity);

	String checkForm(CrmLeadForm form,int i);

    void saveOrUpdate(CrmLeadForm crmLeadForm,String id, boolean isSave) throws Exception;
}
